%define lib_major               1
%define lib_name                %mklibname %{name} %{lib_major}
%define lib_name_devel          %mklibname %{name} -d
%define lib_name_static_devel   %mklibname %{name} -d -s

Summary:	Multiple-precision floating-point computations with correct rounding
Name:		mpfr
Version:	2.4.1
Release:	%mkrel 1
Epoch:		0
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.mpfr.org/
Source0:	http://www.mpfr.org/mpfr-current/mpfr-%{version}.tar.lzma
BuildRequires:	libgmp-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The MPFR library is a C library for multiple-precision
floating-point computations with correct rounding. 

%package -n %{lib_name}
Summary:	Multiple-precision floating-point computations with correct rounding
Group:		System/Libraries

%description -n %{lib_name}
The MPFR library is a C library for multiple-precision
floating-point computations with correct rounding. 

%package -n %{lib_name_devel}
Summary:	Development headers and libraries for MPFR
Group:		Development/C
Requires(post):	info-install
Requires(preun):	info-install
Requires:	%{lib_name} = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname -d %name 1

%description -n %{lib_name_devel}
The development headers and libraries for the MPFR library.

%package -n %{lib_name_static_devel}
Summary:	Static libraries for MPFR
Group:		Development/C
Requires:	%{lib_name_devel} = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-static-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-static-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname -d -s %name 1

%description -n %{lib_name_static_devel}
Static libraries for the MPFR library.

%prep
%setup -q

%build
%configure2_5x \
	--enable-shared \
	--enable-thread-safe

%make

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%check
make check

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%post -n %{lib_name_devel}
%_install_info %{name}.info

%preun -n %{lib_name_devel}
%_remove_install_info %{name}.info

%clean
%{__rm} -rf %{buildroot}

%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS BUGS FAQ.html NEWS README TODO VERSION
%{_libdir}/libmpfr.so.%{lib_major}*

%files -n %{lib_name_devel}
%defattr(-,root,root)
%{_includedir}/mpfr.h
%{_includedir}/mpf2mpfr.h
%{_infodir}/mpfr.info*
%{_libdir}/libmpfr.la 
%{_libdir}/libmpfr.so

%files -n %{lib_name_static_devel}
%defattr(-,root,root)
%{_libdir}/libmpfr.a


%changelog
* Sun Mar 08 2009 Frederik Himpe <fhimpe@mandriva.org> 0:2.4.1-1mdv2009.1
+ Revision: 353011
- update to new version 2.4.1

* Wed Feb 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0:2.4.0-1mdv2009.1
+ Revision: 339361
- spec file clean
- do not package COPYING* and INSTALL files
- new license policy
- update to new version 2.4.0
- enable TLS (thread safety)

* Sat Oct 18 2008 David Walluck <walluck@mandriva.org> 0:2.3.2-1mdv2009.1
+ Revision: 295156
- add .lzma compressed tarball
- 2.3.2

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:2.3.1-2mdv2009.0
+ Revision: 223320
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Jan 31 2008 David Walluck <walluck@mandriva.org> 0:2.3.1-1mdv2008.1
+ Revision: 160619
- 2.3.1

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:2.3.0-2mdv2008.1
+ Revision: 148499
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- do not package big ChangeLog

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Oct 28 2007 Funda Wang <fundawang@mandriva.org> 0:2.3.0-1mdv2008.1
+ Revision: 102900
- fix requires of devel package
- New devel package policy
- New version 2.3.0

* Sat May 26 2007 David Walluck <walluck@mandriva.org> 0:2.2.1-6mdv2008.0
+ Revision: 31231
- rename build root
- use macro for lib package names
- add static-devel package

* Sun May 20 2007 Anssi Hannula <anssi@mandriva.org> 0:2.2.1-5mdv2008.0
+ Revision: 28936
- rebuild to fix missing library provides

* Tue Apr 17 2007 David Walluck <walluck@mandriva.org> 0:2.2.1-4mdv2008.0
+ Revision: 14166
- bump release to work around build system bug
- Import mpfr



* Sun Apr 15 2007 David Walluck <walluck@mandriva.org> 0:2.2.1-1mdv2007.1
- release
